summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTiziano Mueller <dev-zero@gentoo.org>2008-07-16 21:11:09 +0200
committerTiziano Mueller <dev-zero@gentoo.org>2008-07-16 21:11:09 +0200
commiteb887fc61df204013119262f1916fe7b39191d7c (patch)
tree0d83f34017f401af3d75ba7d623d6ddf6880cd19 /www-apps
parentAdded my dev-python packages (diff)
downloaddev-zero-eb887fc61df204013119262f1916fe7b39191d7c.tar.gz
dev-zero-eb887fc61df204013119262f1916fe7b39191d7c.tar.bz2
dev-zero-eb887fc61df204013119262f1916fe7b39191d7c.zip
Added my www-apps
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/cmsmadesimple/Manifest3
-rw-r--r--www-apps/cmsmadesimple/cmsmadesimple-1.3.1.ebuild81
-rw-r--r--www-apps/cmsmadesimple/files/postinstall-en.txt11
3 files changed, 95 insertions, 0 deletions
diff --git a/www-apps/cmsmadesimple/Manifest b/www-apps/cmsmadesimple/Manifest
new file mode 100644
index 0000000..877209c
--- /dev/null
+++ b/www-apps/cmsmadesimple/Manifest
@@ -0,0 +1,3 @@
+AUX postinstall-en.txt 421 RMD160 6bb9c7e029a7d9833148e5b03c1e3f48c177ee8a SHA1 ed143a55c5834b81f649c8e28216268f323bc49c SHA256 b5126245badcf6b22ed04da5faa66bcaee98dc4ab541610a916f97a25b2b7776
+DIST cmsmadesimple-1.3.1.tar.gz 3691944 RMD160 8be55ca9ea8b2349e7271333068b4c610e3c4f76 SHA1 fe3d4798b09639aa864fc790dab197f5bd339e73 SHA256 eb119d7ccd02dee3d6a774c1bbdd1218a0335850f9c73ecd2884ee9d594082f5
+EBUILD cmsmadesimple-1.3.1.ebuild 1805 RMD160 37b2a1b20e15bd4b4c16f2c14484389a9914b7e7 SHA1 5e18390f1cbfc83d331564f97c82471437d95bfc SHA256 2f93d03241005b5d17ad1936f2ee32060ae9853b9a98f71e779f799aae92eb77
diff --git a/www-apps/cmsmadesimple/cmsmadesimple-1.3.1.ebuild b/www-apps/cmsmadesimple/cmsmadesimple-1.3.1.ebuild
new file mode 100644
index 0000000..2410be8
--- /dev/null
+++ b/www-apps/cmsmadesimple/cmsmadesimple-1.3.1.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit webapp depend.php
+
+DESCRIPTION="Provides a fast and easy way to create a web site and manage its contents."
+HOMEPAGE="http://www.cmsmadesimple.org/"
+SRC_URI="http://dev.cmsmadesimple.org/frs/download.php/2221/${PN}-1.3.1.tar.gz"
+LICENSE=""
+KEYWORDS="~amd64 ~x86"
+IUSE="imagemagick netpbm"
+
+
+
+DEPEND=""
+RDEPEND="${DEPEND}
+ virtual/httpd-basic
+ virtual/php
+ imagemagick? ( !netpbm? ( media-gfx/imagemagick ) )
+ netpbm? ( media-libs/netpbm )"
+
+pkg_setup() {
+ webapp_pkg_setup
+
+ if ! use imagemagick && ! use netpbm ; then
+ require_gd
+ fi
+
+ if use imagemagick && use netpbm ; then
+ ewarn "You enabled both imagemagick and netpbm support, but"
+ ewarn "\"CMS made simple\" can only make use of one at a time:"
+ ewarn " netpbm has therefore been chosen over imagemagick."
+ fi
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto ${MY_HTDOCSDIR}
+ doins -r \
+ admin \
+ images \
+ install \
+ lib \
+ modules \
+ plugins \
+ tmp \
+ uploads \
+ *.{php,txt,css,ico}
+
+ dodoc doc/*
+
+ webapp_serverowned \
+ ${MY_HTDOCSDIR}/tmp/{templates_c,cache} \
+ ${MY_HTDOCSDIR}/uploads \
+ ${MY_HTDOCSDIR}/uploads/images \
+ ${MY_HTDOCSDIR}/modules
+
+ touch "${D}/${MY_HTDOCSDIR}/config.php"
+
+ if use imagemagick ; then
+ if use netpbm; then
+ cat >> "${D}/${MY_HTDOCSDIR}/config.php" << _EOF_
+$config["image_manipulation_prog"] = "NetPBM";
+$config["image_transform_lib_path"] = "/usr/bin/";
+_EOF_
+ else
+ cat >> "${D}/${MY_HTDOCSDIR}/config.php" << _EOF_
+$config["image_manipulation_prog"] = "IM";
+$config["image_transform_lib_path"] = "/usr/bin/";
+_EOF_
+ fi
+ fi
+
+ webapp_configfile "${MY_HTDOCSDIR}/config.php"
+
+ webapp_postinst_txt en "${FILESDIR}/postinstall-en.txt"
+
+ webapp_src_install
+}
diff --git a/www-apps/cmsmadesimple/files/postinstall-en.txt b/www-apps/cmsmadesimple/files/postinstall-en.txt
new file mode 100644
index 0000000..c76a876
--- /dev/null
+++ b/www-apps/cmsmadesimple/files/postinstall-en.txt
@@ -0,0 +1,11 @@
+An empty configuration file "config.php" has been created.
+To use the web-interface to finish the configuration, make sure
+that the web-server has write-permission on the file:
+ chmod 666 config.php
+
+To access the admin-interface, open your browser and go to:
+ http://yourhost/cmsroot/install/index.php
+
+After finishing the configuration, you should restore the permissions
+for security reasons:
+ chmod 444 config.php